KWALIFY(1)

NAME
kwalify - Tiny schema validator for YAML and JSON

SYNOPSIS

kwalify [-h | --help | -v]

kwalify [-s] [-t] [-l] [-E] -f schema.yaml doc.yaml [doc2.yaml ...]

kwalify [-s] [-t] [-l] [-E] -m schema.yaml [schema2.yaml ...]

kwalify [-s] [-t] [-l] [-E] {-a action | -ha action} -f schema.yaml [schema2.yaml ...]

DESCRIPTION

kwalify validates schema file, or YAML / JSON file against a schema.

OPTIONS

-h --help
    Show summary of options.

-v
    Display version information.

-s
    Be silent.

-t
    Expand tab characters.

-l
    Show linenumber when errored (experimental).

-E
    Show errors in emacs-style (implies '-l').

-m schema.yaml
    Meta-validation mode: validate schema.yaml.

-f schema.yaml
    Schema definition file: validate file against schema.yaml.

-a action
    Generate code (depending on action: 'genclass-ruby' or 'genclass-java').

-ha action
    Generate code (depending on action: 'genclass-ruby' or 'genclass-java') with properties.

doc.yaml
    File to validate.

AUTHOR

Marc `Duck` Dequènes <Duck@DuckCorp.org>
    Original author.

COPYRIGHT
Copyright © 2007-2011 Marc Dequènes (Duck)

This manual page was written for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License version 3 can be found in /usr/share/common-licenses/GPL-3.